← Tables

Scotland

National League Division 2

#TeamPWDLPDBPPtsForm
1Highland RFC6600+239630WWWWW
2Falkirk RFC6501+91626WWWWW
3Peebles RFC6501+53323WLWWW
4Newton Stewart RFC6402+95622LWWWW
5Gordonian RFC6303-32315WWLLL
6Stewart's Melville RFC6204-27513LLLLW
7Dundee Rugby6105-50610LLWLL
8Kirkcaldy RFC6204-163210WWLLL
9Preston Lodge RFC6105-8848LLLLL
10Howe of Fife RFC6105-11848LLLWL

Source: Scottish Rugby · checked Oct 14, 04:52 PM · Form: the last five results we hold, newest on the right.

Fixtures & results →

Each table is the league's own published standings, including its bonus points, deductions and tie-breaks. BP is shown where the league publishes it; elsewhere it is already in Pts.